interface Options {
    db: any;
}
export default class FirebaseBase<T extends FirebaseBase<T>> {
    protected db: any;
    protected chain: any;
    constructor(options: Options);
    collection(this: T, name: string): T;
    doc(this: T, ref: string): T;
    get(): Promise<Array<any> | any | undefined>;
    protected getDataFromSnapshot(snapshot: any): Array<any> | any;
    where(this: T, query: object | Array<any>): T;
    limit(this: T, amount: number): T;
    orderBy(this: T, order: string): T;
}
export {};
