import Vue from "vue";
import FirebaseBase from "./FirebaseBase";
interface Options {
    db: any;
    component: Vue;
    key: string;
}
export default class Firebase extends FirebaseBase<Firebase> {
    private component;
    private key;
    unsubscribe: () => void;
    constructor(options: Options);
    getOnce<T, S>(func: (data: T) => Promise<S> | S): Promise<void>;
    sync(func: Function): void;
}
export {};
